---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_ControlTransactionMethod;'
    name:      CT - Control Transaction Method
    index:     8
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_CT;'
    customTagName: 'controlTransactionMethod'
    registerForTemplate: yes
    attributes:
    - instance: '&IDA_TargetURL;'
      customTagName: 'destinationUrl'
    relationships:
    - instance: '&IDR_Control_Transaction_Method__uses__Build_Response_Method_Binding;'
      customTagName: 'buildsResponseWithBRMB'
      customTagNameCreatesInstanceOf: '&IDC_BuildResponseMethodBinding;'

    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'CT - Control Transaction Method'

  - relationship: '&IDR_Control_Transaction_Method__processes__Element;'
    index: 11
    sourceClassId: '&IDC_ControlTransactionMethod;'
    type: 'processes'
    destinationClassId: '&IDC_Element;'
    siblingRelationshipId: '&IDR_Element__processed_by__Control_Transaction_Method;'
    singular: no

  - relationship: '&IDR_Element__processed_by__Control_Transaction_Method;'
    index: 12
    sourceClassId: '&IDC_Element;'
    type: 'processed by'
    destinationClassId: '&IDC_ControlTransactionMethod;'
    siblingRelationshipId: '&IDR_Control_Transaction_Method__processes__Element;'
    singular: no

  - relationship: '&IDR_Control_Transaction_Method__uses__Build_Response_Method_Binding;'
    index: 537
    sourceClassId: '&IDC_ControlTransactionMethod;'
    type: 'uses'
    destinationClassId: '&IDC_BuildResponseMethodBinding;'
    siblingRelationshipId: '&IDR_Build_Response_Method_Binding__used_by__Control_Transaction_Method;'
    singular: no

  - relationship: '&IDR_Build_Response_Method_Binding__used_by__Control_Transaction_Method;'
    index: 538
    sourceClassId: '&IDC_BuildResponseMethodBinding;'
    type: 'used by'
    destinationClassId: '&IDC_ControlTransactionMethod;'
    siblingRelationshipId: '&IDR_Control_Transaction_Method__uses__Build_Response_Method_Binding;'
    singular: no
    